<?php
function setSslEncryptionModeFull($api_key, $email, $domain_name) {
    // Замените 'YOUR_API_KEY' на ваш Cloudflare API ключ
    $headers = array(
        'X-Auth-Email: ' . $email,
        'X-Auth-Key: ' . $api_key,
        'Content-Type: application/json'
    );

    // Получаем zone_id для домена
    $ch = curl_init("https://api.cloudflare.com/client/v4/zones?name=$domain_name");
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

    $response = curl_exec($ch);
    $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    // Обрабатываем ответ от сервера
    if ($http_code !== 200) {
        echo "$domain_name Произошла ошибка при получении zone_id: $response <br>" ;
        return;
    }

    $data = json_decode($response, true);
    if (isset($data['result'][0]['id'])) {
        $zone_id = $data['result'][0]['id'];

        // Устанавливаем режим SSL-шифрования на 'Full'
        $ssl_data = array(
            'value' => 'full'
        );

        $ch = curl_init("https://api.cloudflare.com/client/v4/zones/$zone_id/settings/ssl/encryption_mode");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PATCH');
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($ssl_data));

        $response = curl_exec($ch);
        $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        curl_close($ch);

        // Обрабатываем ответ от сервера
        if ($http_code !== 200) {
            echo "$domain_name Произошла ошибка при установке режима SSL-шифрования на 'Full':  $response <br>";
            return;
        }

        echo "Режим SSL-шифрования успешно установлен на 'Full' для домена $domain_name с zone_id $zone_id.<br>";
    } else if (isset($data['errors']) && is_array($data['errors']) && count($data['errors']) > 0) {
        // Обработка ошибки
        $error_code = $data['errors'][0]['code'];
        $error_message = $data['errors'][0]['message'];
        echo " $domain_name Произошла ошибка при получении zone_id. Код ошибки: $error_code, Сообщение: $error_message <br>";
    } else {
        echo "$domain_name не найден в Cloudflare. <br>";
    }
}
?>
