const cacheName = 'my-pwa-cache-v1';
const cacheUrls = [
    '/',
    '/index.html',
    '/manifest.json',
    '/icon.png',
    '/main.js',
    // Добавьте другие ресурсы, которые вы хотите кэшировать
];

self.addEventListener('install', (event) => {
    event.waitUntil(
        caches.open(cacheName).then((cache) => {
            return cache.addAll(cacheUrls);
        })
    );
});

self.addEventListener('fetch', (event) => {
    event.respondWith(
        caches.match(event.request).then((response) => {
            return response || fetch(event.request);
        })
    );
});